Index: /LMDZ4/trunk/libf/phylmd/ini_histhf.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histhf.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histhf.h	(revision 766)
@@ -4,4 +4,5 @@
 
       IF (ok_hf) THEN
+c$OMP MASTER
 c
        zstohf = ecrit_hf
@@ -14,13 +15,18 @@
 
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
-
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         CALL histbeg("histhf", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
+
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+
+cccIM      CALL histbeg("histhf", iim,zx_lon, jjmp1,zx_lat,
+cym         CALL histbeg("histhf", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym     .                 nhori, nid_hf)
+
+         CALL histbeg_phy("histhf", itau_phy, zjulian, dtime, 
      .                 nhori, nid_hf)
 
@@ -34,13 +40,13 @@
 c
          CALL histdef(nid_hf, "aireTER","Grid area CONT","-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zstohf,zout)
 c
          CALL histdef(nid_hf, "contfracATM","% sfce ter+lic ","-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zstohf,zout)
 c
          CALL histdef(nid_hf, "contfracOR","% sfce terre OR", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zstohf,zout)
 c
@@ -48,38 +54,38 @@
 c
          CALL histdef(nid_hf, "t2m", "Temperature 2m", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "q2m", "Specific humidity", "kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "precip", "Precipitation", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
 cIM ENSEMBLES BEG
          CALL histdef(nid_hf, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "slp", "Sea Level Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "u10m", "Vent zonal 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "v10m", "Vent meridien 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
          CALL histdef(nid_hf, "wind10m","10-m wind speed","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
@@ -99,5 +105,5 @@
           CALL histdef(nid_hf, "phi"//bb2,
      .                "Geopotential "//bb2//"mb", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
           ENDIF !bb2.EQ."500"
@@ -109,20 +115,20 @@
 c
          CALL histdef(nid_hf, "cldt", "Total cloudiness", "%",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_hf, "SWnetOR",
      .                "Sfce net SW radiation OR", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_hf, "SWdownOR",
      .                "Sfce incident SW radiation OR", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_hf, "LWdownOR",
      .                "Sfce incident LW radiation OR", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
       ENDIF !lev_histhf.GE.2
@@ -148,5 +154,5 @@
           CALL histdef(nid_hf, "t"//bb2,
      .                 "Temperature "//bb2//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
@@ -154,5 +160,5 @@
           CALL histdef(nid_hf, "phi"//bb2, 
      .                "Geopotential "//bb2//"mb", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
           ENDIF
@@ -160,15 +166,15 @@
           CALL histdef(nid_hf, "q"//bb2,
      .                 "Specific humidity "//bb2//"mb","kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
           CALL histdef(nid_hf, "u"//bb2,
      .                 "Zonal wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
           CALL histdef(nid_hf, "v"//bb2,
      .                 "Meridional wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zout)
 c
@@ -210,10 +216,10 @@
           CALL histdef(nid_hf, "u"//bb2,
      .                 "Zonal wind "//bb2//"mb","m/s",
-     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .         "inst(X)", zstohf,zstohf)
 c
           CALL histdef(nid_hf, "v"//bb2,
      .                 "Meridional wind "//bb2//"mb","m/s",
-     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .         "inst(X)", zstohf,zstohf)
 c
@@ -223,14 +229,14 @@
         CALL histdef(nid_hf, "topl", 
      .       "Outgoing longwave radiation", "W/m2",
-     .       iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .       iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .       "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_hf, "precip","Total precipitation rate",
-     .       "kg/(s*m2)",iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .       "kg/(s*m2)",iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .       "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_hf, "slp", 
      .       "Mean sea-level pressure", "Pa",
-     .       iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .       iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .       "inst(X)", zstohf,zout)
 c
@@ -255,10 +261,10 @@
           CALL histdef(nid_hf, "t"//bb2,
      .                 "Temperature "//bb2//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zstohf)
 c
           CALL histdef(nid_hf, "q"//bb2,
      .                 "Specific humidity "//bb2//"mb","kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zstohf)
 c
@@ -269,10 +275,10 @@
           CALL histdef(nid_hf, "phi"//bb2,
      .                "Geopotential "//bb2//"mb", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zstohf)
 c
           CALL histdef(nid_hf, "w"//bb2,
      .                 "Vertical motion "//bb2//"mb","Pa/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zstohf)
          ENDIF !bb2.EQ."500"
@@ -282,15 +288,15 @@
           CALL histdef(nid_hf, "t"//bb3,
      .                 "Temperature "//bb3//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zstohf,zstohf)
 c
           CALL histdef(nid_hf, "u"//bb3,
      .                 "Zonal wind "//bb3//"mb","m/s",
-     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .         "inst(X)", zstohf,zstohf)
 c
           CALL histdef(nid_hf, "v"//bb3,
      .                 "Meridional wind "//bb3//"mb","m/s",
-     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .         "inst(X)", zstohf,zstohf)
 c
@@ -300,77 +306,77 @@
 c
         CALL histdef(nid_hf, "u10m", "Vent zonal 10m", "m/s",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .               "inst(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "v10m", "Vent meridien 10m", "m/s",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .               "inst(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "t2m", "Temperature 2m", "K",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .               "inst(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "q2m", "Specific humidity", "kg/kg",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .               "inst(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "psol", "Surface Pressure", "Pa",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .               "inst(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "cldt", "Total cloudiness", "%",
-     .               iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .               iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .               "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "taux",
      $         "Zonal wind stress","Pa",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "tauy",
      $         "Meridional wind stress ", "Pa",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "prw", "Precipitable water", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
 cIM 090904  .                "ave(X)", zstohf,zout)
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_hf, "sens", "Sensible heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
 cIM 090904  .                "ave(X)", zstohf,zout)
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_hf, "flat", "Latent heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstohf,zout)
 c
 c       CALL histdef(nid_hf, "snow_mass", "Snow Mass", "kg/m2",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+c    .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
 c    .                "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "SWdnSFC", "SWdn at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "SWupSFC", "SWup at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf,"LWdnSFC","Down. IR rad. at surface",
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf,"LWupSFC","Upwd. IR rad. at surface",
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "SWdnTOA", "SWdn at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstohf,zout)
 c
         CALL histdef(nid_hf, "SWupTOA", "SWup at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstohf,zout)
 c
@@ -378,5 +384,5 @@
          CALL histdef(nid_hf, "PV"//ctetaSTD(k),
      $               "Vorticite potentielle "//ctetaSTD(k)//"K",
-     $               "1/(Pa*s)",iim,jjmp1,nhori, 1,1,1, -99,
+     $               "1/(Pa*s)",iim,jjphy_nb,nhori, 1,1,1, -99,
      $                 32, "inst(X)", zstohf,zout) 
         ENDDO !k=1, nbteta
@@ -393,3 +399,4 @@
       CALL histend(nid_hf)
 c
+c$OMP END MASTER
       ENDIF ! ok_hf
Index: /LMDZ4/trunk/libf/phylmd/ini_histins.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histins.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histins.h	(revision 766)
@@ -3,4 +3,5 @@
 !
       IF (ok_instan) THEN
+c$OMP MASTER
 c
           zsto = ecrit_ins
@@ -10,15 +11,17 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
          DO ll=1,klev
             znivsig(ll)=float(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         CALL histbeg("histins", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL histbeg("histins", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+cym     .                 nhori, nid_ins)
+         CALL histbeg_phy("histins", itau_phy, zjulian, dtime,
      .                 nhori, nid_ins)
          write(*,*)'Inst ', itau_phy, zjulian
@@ -31,9 +34,9 @@
 c
          CALL histdef(nid_ins, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
          CALL histdef(nid_ins, "aire", "Grid area", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
@@ -41,50 +44,50 @@
 c
         CALL histdef(nid_ins, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "t2m", "Temperature 2m", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "q2m", "Specific humidity 2m", "Kg/Kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "u10m", "Vent zonal 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "v10m", "Vent meridien 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
         CALL histdef(nid_ins, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "plul", "Large-scale Precip.", "mm/day",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "pluc", "Convective Precip.", "mm/day",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdrm", "Momentum drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdrh", "Heat drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "precip", "Precipitation Totale liq+sol", 
      .                "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "snow", "Snow fall", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
@@ -94,49 +97,49 @@
 c
          CALL histdef(nid_ins, "topl", "OLR", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "evap", "Evaporation", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "solldown", "Down. IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "bils", "Surf. total heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "sens", "Sensible heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "fder", "Heat flux derivation", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfo", "Boundary-layer dTs(o)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdft", "Boundary-layer dTs(t)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfg", "Boundary-layer dTs(g)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfi", "Boundary-layer dTs(g)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 
@@ -145,58 +148,58 @@
            call histdef(nid_ins, "pourc_"//clnsurf(nsrf), 
      $         "% "//clnsurf(nsrf), "%",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 
            call histdef(nid_ins, "fract_"//clnsurf(nsrf), 
      $         "Fraction "//clnsurf(nsrf), "1",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 
            call histdef(nid_ins, "sens_"//clnsurf(nsrf), 
      $         "Sensible heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "tsol_"//clnsurf(nsrf), 
      $         "Surface Temperature"//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "lat_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 C
            call histdef(nid_ins, "taux_"//clnsurf(nsrf), 
      $         "Zonal wind stress"//clnsurf(nsrf),"Pa",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 
            call histdef(nid_ins, "tauy_"//clnsurf(nsrf), 
      $         "Meridional xind stress "//clnsurf(nsrf), "Pa",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "albe_"//clnsurf(nsrf), 
      $         "Albedo "//clnsurf(nsrf), "-",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "rugs_"//clnsurf(nsrf), 
      $         "rugosite "//clnsurf(nsrf), "-",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 CXXX
          END DO 
          CALL histdef(nid_ins, "rugs", "rugosity", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 
 c
          CALL histdef(nid_ins, "albs", "Surface albedo", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
          CALL histdef(nid_ins, "albslw", "Surface albedo LW", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
@@ -205,44 +208,44 @@
 c HBTM2
          CALL histdef(nid_ins, "s_pblh", "Boundary Layer Height", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_pblt", "T at Boundary Layer Height", 
      .                "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_lcl", "Condensation level", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_capCL", "Conv avlbl pot ener for 
      .                ABL", "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_oliqCL", "Liq Water in BL", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_cteiCL", "Instability criteria 
      .                (ABL)", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_therm", "Exces du thermique", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_trmb1", "deep_cape(HBTM2)", "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_trmb2", "inhibition (HBTM2)", "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "s_trmb3", "Point Omega (HBTM2)", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -252,29 +255,29 @@
 c
          CALL histdef(nid_ins, "temp", "Temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitv", "Merid wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dqvdf", "Boundary-layer dQ", "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -285,3 +288,5 @@
          ndex3d = 0
 c
+c$OMP END MASTER
+
       ENDIF
